public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in games-action/descent3: descent3-1.4.0b-r2.ebuild ChangeLog
@ 2014-06-27 11:29 Michal Gorny (mgorny)
  0 siblings, 0 replies; 2+ messages in thread
From: Michal Gorny (mgorny) @ 2014-06-27 11:29 UTC (permalink / raw
  To: gentoo-commits

mgorny      14/06/27 11:29:22

  Modified:             ChangeLog
  Added:                descent3-1.4.0b-r2.ebuild
  Log:
  Support multilib packages in dependencies. Update/fix dependencies.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key EFB4464E!)

Revision  Changes    Path
1.32                 games-action/descent3/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?rev=1.32&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?rev=1.32&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?r1=1.31&r2=1.32

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v
retrieving revision 1.31
retrieving revision 1.32
diff -u -r1.31 -r1.32
--- ChangeLog	14 Aug 2013 11:27:41 -0000	1.31
+++ ChangeLog	27 Jun 2014 11:29:22 -0000	1.32
@@ -1,6 +1,11 @@
 # ChangeLog for games-action/descent3
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v 1.31 2013/08/14 11:27:41 patrick Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v 1.32 2014/06/27 11:29:22 mgorny Exp $
+
+*descent3-1.4.0b-r2 (27 Jun 2014)
+
+  27 Jun 2014; Michał Górny <mgorny@gentoo.org> +descent3-1.4.0b-r2.ebuild:
+  Support multilib packages in dependencies. Update/fix dependencies.
 
   14 Aug 2013; Patrick Lauer <patrick@gentoo.org> descent3-1.4.0b-r1.ebuild:
   Whitespace / syntax fix



1.1                  games-action/descent3/descent3-1.4.0b-r2.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild?rev=1.1&content-type=text/plain

Index: descent3-1.4.0b-r2.ebuild
===================================================================
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild,v 1.1 2014/06/27 11:29:22 mgorny Exp $

EAPI=5

inherit eutils unpacker cdrom multilib games

IUSE="nocd videos"
DESCRIPTION="Descent 3 - 3-Dimensional indoor/outdoor spaceship combat"
HOMEPAGE="http://www.lokigames.com/products/descent3/"
SRC_URI="mirror://lokigames/${PN}/${PN}-1.4.0a-x86.run
	mirror://lokigames/${PN}/${P}-x86.run"

LICENSE="LOKI-EULA"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RESTRICT="strip"

DEPEND=""
RDEPEND="sys-libs/glibc
	|| (
		(
			media-libs/libsdl[abi_x86_32(-)]
			media-libs/smpeg[abi_x86_32(-)]
			virtual/opengl[abi_x86_32(-)]
			x11-libs/libX11[abi_x86_32(-)]
			x11-libs/libXext[abi_x86_32(-)]
		)
		amd64? (
			app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)]
			app-emulation/emul-linux-x86-sdl[-abi_x86_32(-)]
			app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
		)
	)"

dir=${GAMES_PREFIX_OPT}/${PN}
Ddir=${D}/${dir}

pkg_setup() {
	games_pkg_setup
	if use videos ; then
		ewarn "The installed game takes about 1.2GB of space!"
	elif use nocd ; then
		ewarn "The installed game takes about 510MB of space!"
	else
		ewarn "The installed game takes about 220MB of space!"
	fi
}

src_unpack() {
	if use videos ; then
		cdrom_get_cds missions/d3.mn3 movies/level1.mve
	else
		cdrom_get_cds missions/d3.mn3
	fi
	mkdir -p "${S}"/{a,b} || die
	cd "${S}"/a || die
	unpack_makeself ${PN}-1.4.0a-x86.run
	cd "${S}"/b || die
	unpack_makeself ${P}-x86.run
}

src_install() {
	einfo "Copying files... this may take a while..."
	exeinto "${dir}"
	doexe ${CDROM_ROOT}/bin/x86/glibc-2.1/{${PN},nettest}
	insinto "${dir}"
	doins ${CDROM_ROOT}/{FAQ.txt,README{,.mercenary},d3.hog,icon.{bmp,xpm}}

	cd "${Ddir}" || die
	# TODO: move this to src_unpack where it belongs
	tar xzf ${CDROM_ROOT}/data.tar.gz || die "uncompressing data"
	tar xzf ${CDROM_ROOT}/shared.tar.gz || die "uncompressing shared"

	if use nocd; then
		doins -r ${CDROM_ROOT}/missions
	fi

	if use videos ; then
		cdrom_load_next_cd
		doins -r ${CDROM_ROOT}/movies
	fi

	cd "${S}"/a || die
	bin/Linux/x86/loki_patch --verify patch.dat || die
	bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die "patching a"
	cd "${S}"/b || die
	bin/Linux/x86/loki_patch --verify patch.dat || die
	bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die "patching b"

	# now, since these files are coming off a cd, the times/sizes/md5sums wont
	# be different ... that means portage will try to unmerge some files (!)
	# we run touch on ${D} so as to make sure portage doesnt do any such thing
	find "${Ddir}" -exec touch '{}' +

	games_make_wrapper descent3 ./descent3.dynamic "${dir}" "${dir}"
	newicon ${CDROM_ROOT}/icon.xpm ${PN}.xpm

	# Fix for 2.6 kernel crash
	cd "${Ddir}" || die
	ln -sf ppics.hog PPics.Hog

	prepgamesdirs
	make_desktop_entry ${PN} "Descent 3" ${PN}
}

pkg_postinst() {
	games_pkg_postinst
	elog "To play the game run:"
	elog " descent3"
	echo
}





^ permalink raw reply	[flat|nested] 2+ messages in thread

* [gentoo-commits] gentoo-x86 commit in games-action/descent3: descent3-1.4.0b-r2.ebuild ChangeLog
@ 2015-06-01 22:05 Michael Sterrett (mr_bones_)
  0 siblings, 0 replies; 2+ messages in thread
From: Michael Sterrett (mr_bones_) @ 2015-06-01 22:05 UTC (permalink / raw
  To: gentoo-commits

mr_bones_    15/06/01 22:05:44

  Modified:             descent3-1.4.0b-r2.ebuild ChangeLog
  Log:
  clean up app-emulation/emul-linux which has been removed
  
  (Portage version: 2.2.18/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.2                  games-action/descent3/descent3-1.4.0b-r2.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild?r1=1.1&r2=1.2

Index: descent3-1.4.0b-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- descent3-1.4.0b-r2.ebuild	27 Jun 2014 11:29:22 -0000	1.1
+++ descent3-1.4.0b-r2.ebuild	1 Jun 2015 22:05:44 -0000	1.2
@@ -1,9 +1,8 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild,v 1.1 2014/06/27 11:29:22 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r2.ebuild,v 1.2 2015/06/01 22:05:44 mr_bones_ Exp $
 
 EAPI=5
-
 inherit eutils unpacker cdrom multilib games
 
 IUSE="nocd videos"
@@ -17,22 +16,12 @@
 KEYWORDS="~amd64 ~x86"
 RESTRICT="strip"
 
-DEPEND=""
 RDEPEND="sys-libs/glibc
-	|| (
-		(
-			media-libs/libsdl[abi_x86_32(-)]
-			media-libs/smpeg[abi_x86_32(-)]
-			virtual/opengl[abi_x86_32(-)]
-			x11-libs/libX11[abi_x86_32(-)]
-			x11-libs/libXext[abi_x86_32(-)]
-		)
-		amd64? (
-			app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)]
-			app-emulation/emul-linux-x86-sdl[-abi_x86_32(-)]
-			app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
-		)
-	)"
+	media-libs/libsdl[abi_x86_32(-)]
+	media-libs/smpeg[abi_x86_32(-)]
+	virtual/opengl[abi_x86_32(-)]
+	x11-libs/libX11[abi_x86_32(-)]
+	x11-libs/libXext[abi_x86_32(-)]"
 
 dir=${GAMES_PREFIX_OPT}/${PN}
 Ddir=${D}/${dir}
@@ -70,8 +59,8 @@
 
 	cd "${Ddir}" || die
 	# TODO: move this to src_unpack where it belongs
-	tar xzf ${CDROM_ROOT}/data.tar.gz || die "uncompressing data"
-	tar xzf ${CDROM_ROOT}/shared.tar.gz || die "uncompressing shared"
+	tar xzf ${CDROM_ROOT}/data.tar.gz || die
+	tar xzf ${CDROM_ROOT}/shared.tar.gz || die
 
 	if use nocd; then
 		doins -r ${CDROM_ROOT}/missions
@@ -84,10 +73,10 @@
 
 	cd "${S}"/a || die
 	bin/Linux/x86/loki_patch --verify patch.dat || die
-	bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die "patching a"
+	bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die
 	cd "${S}"/b || die
 	bin/Linux/x86/loki_patch --verify patch.dat || die
-	bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die "patching b"
+	bin/Linux/x86/loki_patch patch.dat "${Ddir}" >& /dev/null || die
 
 	# now, since these files are coming off a cd, the times/sizes/md5sums wont
 	# be different ... that means portage will try to unmerge some files (!)



1.35                 games-action/descent3/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?rev=1.35&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?rev=1.35&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/descent3/ChangeLog?r1=1.34&r2=1.35

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v
retrieving revision 1.34
retrieving revision 1.35
diff -u -r1.34 -r1.35
--- ChangeLog	7 Sep 2014 19:57:08 -0000	1.34
+++ ChangeLog	1 Jun 2015 22:05:44 -0000	1.35
@@ -1,6 +1,10 @@
 # ChangeLog for games-action/descent3
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v 1.34 2014/09/07 19:57:08 ulm Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/ChangeLog,v 1.35 2015/06/01 22:05:44 mr_bones_ Exp $
+
+  01 Jun 2015; Michael Sterrett <mr_bones_@gentoo.org>
+  descent3-1.4.0b-r2.ebuild:
+  clean up app-emulation/emul-linux which has been removed
 
   07 Sep 2014; Ulrich Müller <ulm@gentoo.org> -descent3-1.4.0b-r1.ebuild:
   Remove old, bug 517932.





^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2015-06-01 22:05 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-06-01 22:05 [gentoo-commits] gentoo-x86 commit in games-action/descent3: descent3-1.4.0b-r2.ebuild ChangeLog Michael Sterrett (mr_bones_)
  -- strict thread matches above, loose matches on Subject: below --
2014-06-27 11:29 Michal Gorny (mgorny)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox